Loading...
Searching...
No Matches
Opm::data::Well Struct Reference

## Public Member Functions

bool | flowing () const noexcept
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
void | init_json (Json::JsonObject &json_data) const
const Connection * | find_connection (const Connection::global_index connection_grid_index) const
Connection * | find_connection (const Connection::global_index connection_grid_index)
bool | operator== (const Well &well2) const
bool | operator!= (const Well &well2) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Well | serializationTestObject ()

## Public Attributes

Rates | rates {}
double | bhp {0.0}
double | thp {0.0}
double | temperature {0.0}
int | control {0}
double | efficiency_scaling_factor {1.0}
WellFiltrate | filtrate
::Opm::WellStatus | dynamicStatus { Opm::WellStatus::OPEN }
std::vector< Connection > | connections {}
std::unordered_map< std::size_t, Segment > | segments {}
CurrentControl | current_control {}
GuideRateValue | guide_rates {}
WellControlLimits | limits {}

The documentation for this struct was generated from the following file:

- opm/output/data/Wells.hpp